Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.interceptor
Class LoggingInterceptor

    java.lang.Object
      org.mule.processor.AbstractInterceptingMessageProcessor
          org.mule.interceptor.AbstractEnvelopeInterceptor
              org.mule.interceptor.LoggingInterceptor

All Implemented Interfaces:
  Interceptor, InterceptingMessageProcessor, MessageProcessor, MessageSource

    public class LoggingInterceptor

extends AbstractEnvelopeInterceptor

`LoggingInterceptor` is a simple interceptor that logs a message before and after the event processing.

Field Summary

Fields inherited from class org.mule.processor.AbstractInterceptingMessageProcessor
`next`

Constructor Summary
`LoggingInterceptor()`

Method Summary
`MuleEvent` | `after(MuleEvent event)` This method is invoked after the event has been processed
`MuleEvent` | `before(MuleEvent event)` This method is invoked before the event is processed

Methods inherited from class org.mule.interceptor.AbstractEnvelopeInterceptor
`process`

Methods inherited from class org.mule.processor.AbstractInterceptingMessageProcessor
`processNext, setListener, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mule.api.source.MessageSource
`setListener`

Constructor Detail

### LoggingInterceptor

    public LoggingInterceptor()

Method Detail

### before

    public MuleEvent before(MuleEvent event)

  Description copied from class: `AbstractEnvelopeInterceptor`
  This method is invoked before the event is processed

  Specified by:
    `before` in class `AbstractEnvelopeInterceptor`

### after

    public MuleEvent after(MuleEvent event)

  Description copied from class: `AbstractEnvelopeInterceptor`
  This method is invoked after the event has been processed

  Specified by:
    `after` in class `AbstractEnvelopeInterceptor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.